## libpfm4 4.3.0

=== docs/Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal 
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
# of the Software, and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all 
# copies or substantial portions of the Software.  
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

.PHONY: all clean distclean depend

ARCH_MAN=

ifeq ($(CONFIG_PFMLIB_ARCH_X86),y)
ARCH_MAN=libpfm_intel_core.3	\
	 libpfm_intel_x86_arch.3\
	 libpfm_amd64.3		\
	 libpfm_amd64_k7.3	\
	 libpfm_amd64_k8.3	\
	 libpfm_amd64_fam10h.3	\
	 libpfm_intel_atom.3	\
	 libpfm_intel_nhm.3	\
	 libpfm_intel_nhm_unc.3 \
	 libpfm_intel_wsm.3	\
	 libpfm_intel_wsm_unc.3 \
	 libpfm_intel_snb.3	\
	 libpfm_intel_snb_unc.3 \
	 libpfm_intel_ivb.3

ifeq ($(CONFIG_PFMLIB_ARCH_I386),y)
ARCH_MAN += libpfm_intel_p6.3 libpfm_intel_coreduo.3
endif

endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM),y)
ARCH_MAN += libpfm_arm_ac15.3 libpfm_arm_ac8.3 libpfm_arm_ac9.3
endif


ifeq ($(CONFIG_PFMLIB_ARCH_MIPS),y)
ARCH_MAN += libpfm_mips_74k.3
endif

GEN_MAN= libpfm.3 \
	pfm_find_event.3 \
	pfm_get_event_attr_info.3 \
	pfm_get_event_info.3 \
	pfm_get_event_encoding.3 \
	pfm_get_event_next.3 \
	pfm_get_pmu_info.3 \
	pfm_get_perf_event_encoding.3 \
	pfm_get_os_event_encoding.3 \
	pfm_get_version.3 \
	pfm_initialize.3 \
	pfm_terminate.3 \
	pfm_strerror.3

MAN=$(GEN_MAN) $(ARCH_MAN)

install:

	-mkdir -p $(DESTDIR)$(MANDIR)/man3
	( cd man3; $(INSTALL) -m 644 $(MAN) $(DESTDIR)$(MANDIR)/man3 )

=== lib/Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
# of the Software, and to permit persons to whom the Software is furnished to do so,
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

#
# Common files
#
SRCS=pfmlib_common.c

ifeq ($(SYS),Linux)
SRCS += pfmlib_perf_event_pmu.c pfmlib_perf_event.c
endif

CFLAGS+=-D_REENTRANT -I.

#
# list all library support modules
#
ifeq ($(CONFIG_PFMLIB_ARCH_IA64),y)
INCARCH = $(INC_IA64)
#SRCS   += pfmlib_gen_ia64.c pfmlib_itanium.c pfmlib_itanium2.c pfmlib_montecito.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_IA64
endif

ifeq ($(CONFIG_PFMLIB_ARCH_X86),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_intel_x86_perf_event.c pfmlib_amd64_perf_event.c \
	pfmlib_intel_netburst_perf_event.c
endif

INCARCH = $(INC_X86)
SRCS   += pfmlib_amd64.c pfmlib_intel_core.c pfmlib_intel_x86.c \
	  pfmlib_intel_x86_arch.c pfmlib_intel_atom.c \
	  pfmlib_intel_nhm_unc.c pfmlib_intel_nhm.c \
	  pfmlib_intel_wsm.c  pfmlib_intel_snb.c pfmlib_intel_snb_unc.c \
	  pfmlib_intel_ivb.c \
	  pfmlib_intel_netburst.c \
	  pfmlib_amd64_k7.c pfmlib_amd64_k8.c pfmlib_amd64_fam10h.c \
	  pfmlib_amd64_fam11h.c pfmlib_amd64_fam12h.c \
	  pfmlib_amd64_fam14h.c pfmlib_amd64_fam15h.c

CFLAGS += -DCONFIG_PFMLIB_ARCH_X86

ifeq ($(CONFIG_PFMLIB_ARCH_I386),y)
SRCS += pfmlib_intel_coreduo.c pfmlib_intel_p6.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_I386
endif

ifeq ($(CONFIG_PFMLIB_ARCH_X86_64),y)
CFLAGS += -DCONFIG_PFMLIB_ARCH_X86_64
endif

endif

ifeq ($(CONFIG_PFMLIB_ARCH_POWERPC),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_powerpc_perf_event.c
endif

INCARCH = $(INC_POWERPC)
SRCS   += pfmlib_powerpc.c pfmlib_power4.c pfmlib_ppc970.c pfmlib_power5.c pfmlib_power6.c pfmlib_power7.c pfmlib_torrent.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_POWERPC
endif

ifeq ($(CONFIG_PFMLIB_ARCH_SPARC),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_sparc_perf_event.c
endif

INCARCH = $(INC_SPARC)
SRCS   += pfmlib_sparc.c pfmlib_sparc_ultra12.c pfmlib_sparc_ultra3.c pfmlib_sparc_ultra4.c pfmlib_sparc_niagara.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_SPARC
endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_arm_perf_event.c
endif

INCARCH = $(INC_ARM)
SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM
endif

ifeq ($(CONFIG_PFMLIB_ARCH_MIPS),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_mips_perf_event.c
endif

INCARCH = $(INC_MIPS)
SRCS   += pfmlib_mips.c pfmlib_mips_74k.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_MIPS
endif

ifeq ($(CONFIG_PFMLIB_ARCH_CRAYXT),y)
CFLAGS += -DCONFIG_PFMLIB_ARCH_CRAYXT
endif

ifeq ($(CONFIG_PFMLIB_CELL),y)
INCARCH = $(INC_CELL)
#SRCS   += pfmlib_cell.c
CFLAGS += -DCONFIG_PFMLIB_CELL
endif

ifeq ($(SYS),Linux)
SLDFLAGS=-shared -Wl,-soname -Wl,$(VLIBPFM)
SLIBPFM=libpfm.so.$(VERSION).$(REVISION).$(AGE)
VLIBPFM=libpfm.so.$(VERSION)
SOLIBEXT=so
endif

CFLAGS+=-I.
ALIBPFM=libpfm.a

TARGETS=$(ALIBPFM)

ifeq ($(CONFIG_PFMLIB_SHARED),y)
TARGETS += $(SLIBPFM)
endif

OBJS=$(SRCS:.c=.o)
SOBJS=$(OBJS:.o=.lo)

INC_COMMON= $(PFMINCDIR)/perfmon/pfmlib.h pfmlib_priv.h

ifeq ($(SYS),Linux)
INC_COMMON += $(PFMINCDIR)/perfmon/perf_event.h events/perf_events.h
endif

INC_IA64=pfmlib_ia64_priv.h	 \
	events/itanium_events.h	 \
	events/itanium2_events.h \
	events/montecito_events.h

INC_X86= pfmlib_intel_x86_priv.h	\
	pfmlib_amd64_priv.h		\
	events/amd64_events_k7.h    	\
	events/amd64_events_k8.h    	\
	events/amd64_events_fam10h.h	\
	events/amd64_events_fam11h.h	\
	events/amd64_events_fam12h.h	\
	events/amd64_events_fam14h.h	\
	events/amd64_events_fam15h.h	\
	events/intel_p6_events.h	\
	events/intel_netburst_events.h	\
	events//intel_x86_arch_events.h \
	events/intel_coreduo_events.h	\
	events/intel_core_events.h	\
	events/intel_atom_events.h	\
	events/intel_nhm_events.h	\
	events/intel_nhm_unc_events.h	\
	events/intel_wsm_events.h	\
	events/intel_wsm_unc_events.h	\
	events/intel_snb_events.h	\
	events/intel_snb_unc_events.h	\
	events/intel_ivb_events.h

INC_MIPS=events/mips_74k_events.h events/mips_74k_events.h

INC_POWERPC=events/ppc970_events.h	\
	events/ppc970mp_events.h	\
	events/power4_events.h		\
	events/power5_events.h		\
	events/power5+_events.h		\
	events/power6_events.h		\
	events/power7_events.h		\
	events/torrent_events.h

INC_SPARC=events/sparc_ultra12_events.h		\
	events/sparc_ultra3_events.h		\
	events/sparc_ultra3plus_events.h	\
	events/sparc_ultra3i_events.h		\
	events/sparc_ultra4plus_events.h	\
	events/sparc_niagara1_events.h		\
	events/sparc_niagara2_events.h

INC_CELL=events/cell_events.h

INC_ARM=events/arm_cortex_a8_events.h		\
        events/arm_cortex_a9_events.h

INC_ARM=pfmlib_arm_priv.h			\
	events/arm_cortex_a8_events.h		\
	events/arm_cortex_a9_events.h		\
	events/arm_cortex_a15_events.h

INCDEP=$(INC_COMMON) $(INCARCH)

all: $(TARGETS)

$(OBJS) $(SOBJS): $(TOPDIR)/config.mk $(TOPDIR)/rules.mk Makefile $(INCDEP)

libpfm.a:  $(OBJS)
	$(RM) $@
	$(AR) cq $@ $(OBJS)

$(SLIBPFM):  $(SOBJS)
	$(CC) $(CFLAGS) $(SLDFLAGS)  -o $@ $(SOBJS)
	$(LN) $@ $(VLIBPFM)
	$(LN) $@ libpfm.$(SOLIBEXT)

clean:
	$(RM) -f *.o *.lo *.a *.so* *~ *.$(SOLIBEXT)

distclean: clean

depend:
	$(MKDEP) $(CFLAGS) $(SRCS)

install: $(TARGETS)

install:
	@echo building: $(TARGETS)
	-mkdir -p $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 644 $(ALIBPFM) $(DESTDIR)$(LIBDIR)
ifeq ($(CONFIG_PFMLIB_SHARED),y)
	$(INSTALL) $(SLIBPFM) $(DESTDIR)$(LIBDIR)
	cd $(DESTDIR)$(LIBDIR); $(LN) $(SLIBPFM) $(VLIBPFM)
	cd $(DESTDIR)$(LIBDIR); $(LN) $(SLIBPFM) libpfm.$(SOLIBEXT)
	$(LDCONFIG)
endif

tags:
	$(CTAGS) -o $(TOPDIR)/tags --tag-relative=yes $(SRCS) $(INCDEP)

=== tests/Makefile ===
#
# Copyright (c) 2010 Google, Inc
# Contributed by Stephane Eranian <eranian@gmail.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal 
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
# of the Software, and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all 
# copies or substantial portions of the Software.  
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

SRCS=validate.c

ifeq ($(CONFIG_PFMLIB_ARCH_X86),y)
SRCS += validate_x86.c
endif

ifeq ($(CONFIG_PFMLIB_ARCH_MIPS),y)
SRCS += validate_mips.c
endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM),y)
SRCS += validate_arm.c
endif

CFLAGS+= -I. -D_GNU_SOURCE
LIBS += -lm

ifeq ($(SYS),Linux)
CFLAGS+= -pthread
endif

OBJS=$(SRCS:.c=.o)

TARGETS=validate

all: $(TARGETS)

validate: $(OBJS) $(PFMLIB)
	$(CC) $(CFLAGS) -o $@ $(LDFLAGS) $^ $(LIBS) 

clean:
	$(RM) -f *.o $(TARGETS) *~

distclean: clean

#
# examples are installed as part of the RPM install, typically in /usr/share/doc/libpfm-X.Y/
#
.PHONY: install depend install_examples

## libpfm4 4.4.0

=== debian/changelog ===
libpfm4 (4.4.0-0ubuntu1) saucy; urgency=low

  * New upstream version. LP: #1208939.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Aug 2013 20:32:19 +0200

libpfm4 (4.3.0-1ubuntu1) saucy; urgency=low

  * Update libpfm4.symbols to resolve FTBFS on non-x86 architectures.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 02 Jun 2013 19:17:18 -0600

libpfm4 (4.3.0-1) unstable; urgency=low

  * First official upload to Debian (Closes: #702242: ITP: libpfm4 -- Library
    to program the performance monitoring events)
    Expecting FTBFS due to bad symbol file on all but amd64 arch
  * Add libpfm4-dbg package
  * Upgrade Standard-Version
  * Bump Debhelper compat to 9
  * Switch to multi-arch
  * Add a symbol file
  * Add a watch file
  * Fix lots of lintian messages (typos, manpage syntax, etc.)
  * Remove dependency on dpatch as source "3.0 (quilt)" already include a
    support for quilt
  * switch debian/copyright to copyright-format 1.0
    + rework copyright list from upstream git commits history
    + debian packaging was said as GPL-v2 in upstream tarball but, after
      signaling the fact to upstream, they (with all authors agreement) switch
      to the same license as the software itself (see git commit 4875866
      in upstream repo). This package already presents this fact.
  * fix python compilation
  * libpfm4-dev conflicts/replaces the old libpfm3-3.2-dev

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 06 Mar 2013 10:27:13 +0100

libpfm4 (3.0) unstable; urgency=low

  * ARM Cortex A15 support
  * updated Intel Sandy Bridge core PMU events
  * Intel Sandy Bridge desktop (model 42) uncore PMU support
  * Intel Ivy Bridge support
  * full perf_events generic event support
  * updated perf_examples
  * enabled Intel Nehalem/Westmere uncore PMU support
  * AMD LLano processor supoprt (Fam 12h)
  * AMD Turion rocessor supoprt (Fam 11h)
  * Intel Atom Cedarview processor support
  * Win32 compilation support
  * perf_events excl attribute
  * perf_events generic hw event aliases support
  * many bug fixes

 -- Stephane Eranian <eranian@gmail.com>  Mon, 27 Aug  2012 17:45:22 +0200

libpfm4 (2.0) unstable; urgency=low

  * updated event tables for Intel X86 processors
  * new AMD Fam15h support
  * new MIPS 74k support
  * updated ARM Cortex A8/A9 support
  * 30% size reduction for Intel/AMD X86 event tables
  * bug fixes and other improvements

 -- Stephane Eranian <eranian@gmail.com>  Fri, 7 Oct  2011 15:55:22 +0200

libpfm4 (1.0) unstable; urgency=low

  * Initial Release.

 -- Arun Sharma <aruns@google.com>  Mon, 21 Jun 2010 15:17:22 -0700

=== debian/control ===
Source: libpfm4
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
Uploaders: Stephane Eranian <eranian@gmail.com>
Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~), swig
X-Python-Version: >=2.4
Standards-Version: 3.9.3
Section: libs
Homepage: http://perfmon2.sourceforge.net/
Vcs-Git: git://git.debian.org/collab-maint/libpfm4.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libpfm4.git;a=summary

Package: libpfm4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to program the performance monitoring events
 Libpfm4 helps convert from an event name, expressed as a string, to
 the event encoding. The encoding can then be used with specific OS
 interfaces. Libpfm4 also provides OS-specific interfaces to directly
 setup OS-specific data structures to be passed to the kernel. The
 current libpfm4, for instance, provides support for the perf_events
 interface which was introduced in Linux v2.6.31.
 .
 This package provides the shared library.

Package: libpfm4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libpfm4 (= ${binary:Version})
Conflicts: libpfm3-3.2-dev
Replaces: libpfm3-3.2-dev
Description: Development files for the libpfm4 library
 Libpfm4 helps convert from an event name, expressed as a string, to
 the event encoding. The encoding can then be used with specific OS
 interfaces. Libpfm4 also provides OS-specific interfaces to directly
 setup OS-specific data structures to be passed to the kernel. The
 current libpfm4, for instance, provides support for the perf_events
 interface which was introduced in Linux v2.6.31.
 .
 This package provides the development files of the library.

Package: python-libpfm4
Architecture: any
Section: python
Depends: libpfm4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for libpfm4
 This package allows you to write simple Python scripts that monitor
 various hardware performance monitoring events. It may be more efficient
 to use this approach instead of parsing the output of other tools.

Package: libpfm4-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libpfm4 (= ${binary:Version})
Description: Debug symbols for the libpfm4 library
 Libpfm4 helps convert from an event name, expressed as a string, to
 the event encoding. The encoding can then be used with specific OS
 interfaces. Libpfm4 also provides OS-specific interfaces to directly
 setup OS-specific data structures to be passed to the kernel. The
 current libpfm4, for instance, provides support for the perf_events
 interface which was introduced in Linux v2.6.31.
 .
 This package provides the debug symbols of the shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Upstream does not use CPPFLAGS
CFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS) \
	$(shell dpkg-buildflags --get CFLAGS)
export CFLAGS

PYTHON2=$(shell pyversions -vr)

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.0.1:9

%:
	dh  $@ --with python2

#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#test-python%:
#	cd python && python$* setup.py test -vv
#
#override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
#endif

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=python --buildsystem=python_distutils

.PHONY: override_dh_auto_install
override_dh_auto_install:
	make install \
		DESTDIR=$(CURDIR)/debian/tmp \
		PREFIX=/usr \
		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		LDCONFIG=true
	dh_auto_install --sourcedirectory=python --buildsystem=python_distutils

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=python --buildsystem=python_distutils
	dh_auto_clean --sourcedirectory=python --buildsystem=makefile

.PHONY: override_dh_shlibdeps
override_dh_shlibdeps:
	dh_shlibdeps -a -- --warnings=7

.PHONY: override_dh_install
override_dh_install:
	#dh_install --fail-missing #-XlibOpenCL.la
	dh_install --list-missing -X.pyc

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=libpfm4-dbg

=== debian/watch ===
version=3

#http://sf.net/audacity/audacity-src-(.+)\.tar\.gz
http://sf.net/perfmon2/libpfm-(4\..*)\.tar\.gz

## libpfm4 4.4.0%2Bgit47

=== tests/Makefile ===
--- 
+++ 
@@ -39,6 +39,10 @@
 SRCS += validate_arm.c
 endif
 
+ifeq ($(CONFIG_PFMLIB_ARCH_POWERPC),y)
+SRCS += validate_power.c
+endif
+
 CFLAGS+= -I. -D_GNU_SOURCE
 LIBS += -lm

## libpfm4 4.4.0+git47

=== docs/Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	 libpfm_amd64_k7.3	\
 	 libpfm_amd64_k8.3	\
 	 libpfm_amd64_fam10h.3	\
+	 libpfm_amd64_fam15h.3	\
 	 libpfm_intel_atom.3	\
 	 libpfm_intel_nhm.3	\
 	 libpfm_intel_nhm_unc.3 \
@@ -43,7 +44,20 @@
 	 libpfm_intel_wsm_unc.3 \
 	 libpfm_intel_snb.3	\
 	 libpfm_intel_snb_unc.3 \
-	 libpfm_intel_ivb.3
+	 libpfm_intel_ivb.3	\
+	 libpfm_intel_ivb_unc.3 \
+	 libpfm_intel_hsw.3	\
+	 libpfm_intel_rapl.3	\
+	 libpfm_intel_slm.3	\
+	 libpfm_intel_snbep_unc_cbo.3 \
+	 libpfm_intel_snbep_unc_ha.3 \
+	 libpfm_intel_snbep_unc_imc.3 \
+	 libpfm_intel_snbep_unc_pcu.3 \
+	 libpfm_intel_snbep_unc_qpi.3 \
+	 libpfm_intel_snbep_unc_ubo.3 \
+	 libpfm_intel_snbep_unc_r2pcie.3 \
+	 libpfm_intel_snbep_unc_r3qpi.3 \
+	 libpfm_intel_knc.3
 
 ifeq ($(CONFIG_PFMLIB_ARCH_I386),y)
 ARCH_MAN += libpfm_intel_p6.3 libpfm_intel_coreduo.3
@@ -52,7 +66,7 @@
 endif
 
 ifeq ($(CONFIG_PFMLIB_ARCH_ARM),y)
-ARCH_MAN += libpfm_arm_ac15.3 libpfm_arm_ac8.3 libpfm_arm_ac9.3
+ARCH_MAN += libpfm_arm_ac15.3 libpfm_arm_ac8.3 libpfm_arm_ac9.3 libpfm_arm_qcom_krait.3
 endif

=== lib/Makefile ===
--- 
+++ 
@@ -48,15 +48,30 @@
 
 ifeq ($(SYS),Linux)
 SRCS += pfmlib_intel_x86_perf_event.c pfmlib_amd64_perf_event.c \
-	pfmlib_intel_netburst_perf_event.c
+	pfmlib_intel_netburst_perf_event.c \
+	pfmlib_intel_snbep_unc_perf_event.c
 endif
 
 INCARCH = $(INC_X86)
 SRCS   += pfmlib_amd64.c pfmlib_intel_core.c pfmlib_intel_x86.c \
 	  pfmlib_intel_x86_arch.c pfmlib_intel_atom.c \
 	  pfmlib_intel_nhm_unc.c pfmlib_intel_nhm.c \
-	  pfmlib_intel_wsm.c  pfmlib_intel_snb.c pfmlib_intel_snb_unc.c \
-	  pfmlib_intel_ivb.c \
+	  pfmlib_intel_wsm.c  \
+	  pfmlib_intel_snb.c pfmlib_intel_snb_unc.c \
+	  pfmlib_intel_ivb.c pfmlib_intel_ivb_unc.c \
+	  pfmlib_intel_hsw.c \
+	  pfmlib_intel_rapl.c \
+	  pfmlib_intel_snbep_unc.c \
+	  pfmlib_intel_snbep_unc_cbo.c \
+	  pfmlib_intel_snbep_unc_ha.c \
+	  pfmlib_intel_snbep_unc_imc.c \
+	  pfmlib_intel_snbep_unc_pcu.c \
+	  pfmlib_intel_snbep_unc_qpi.c \
+	  pfmlib_intel_snbep_unc_ubo.c \
+	  pfmlib_intel_snbep_unc_r2pcie.c \
+	  pfmlib_intel_snbep_unc_r3qpi.c \
+	  pfmlib_intel_knc.c \
+	  pfmlib_intel_slm.c \
 	  pfmlib_intel_netburst.c \
 	  pfmlib_amd64_k7.c pfmlib_amd64_k8.c pfmlib_amd64_fam10h.c \
 	  pfmlib_amd64_fam11h.c pfmlib_amd64_fam12h.c \
@@ -82,8 +97,19 @@
 endif
 
 INCARCH = $(INC_POWERPC)
-SRCS   += pfmlib_powerpc.c pfmlib_power4.c pfmlib_ppc970.c pfmlib_power5.c pfmlib_power6.c pfmlib_power7.c pfmlib_torrent.c
+SRCS   += pfmlib_powerpc.c pfmlib_power4.c pfmlib_ppc970.c pfmlib_power5.c pfmlib_power6.c pfmlib_power7.c pfmlib_torrent.c pfmlib_power8.c
 CFLAGS += -DCONFIG_PFMLIB_ARCH_POWERPC
+endif
+
+ifeq ($(CONFIG_PFMLIB_ARCH_S390X),y)
+
+ifeq ($(SYS),Linux)
+SRCS += pfmlib_s390x_perf_event.c
+endif
+
+INCARCH = $(INC_S390X)
+SRCS   += pfmlib_s390x_cpumf.c
+CFLAGS += -DCONFIG_PFMLIB_ARCH_S390X
 endif
 
 ifeq ($(CONFIG_PFMLIB_ARCH_SPARC),y)
@@ -104,7 +130,7 @@
 endif
 
 INCARCH = $(INC_ARM)
-SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c
+SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c pfmlib_arm_armv6.c
 CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM
 endif
 
@@ -179,8 +205,21 @@
 	events/intel_wsm_events.h	\
 	events/intel_wsm_unc_events.h	\
 	events/intel_snb_events.h	\
+	events/intel_snbep_events.h	\
 	events/intel_snb_unc_events.h	\
-	events/intel_ivb_events.h
+	events/intel_ivb_events.h	\
+	events/intel_hsw_events.h	\
+	pfmlib_intel_snbep_unc_priv.h	\
+	events/intel_snbep_unc_cbo_events.h \
+	events/intel_snbep_unc_ha_events.h \
+	events/intel_snbep_unc_imc_events.h \
+	events/intel_snbep_unc_pcu_events.h \
+	events/intel_snbep_unc_qpi_events.h \
+	events/intel_snbep_unc_ubo_events.h \
+	events/intel_snbep_unc_r2pcie_events.h \
+	events/intel_snbep_unc_r3qpi_events.h \
+	events/intel_knc_events.h \
+	events/intel_slm_events.h
 
 INC_MIPS=events/mips_74k_events.h events/mips_74k_events.h
 
@@ -191,7 +230,11 @@
 	events/power5+_events.h		\
 	events/power6_events.h		\
 	events/power7_events.h		\
+	events/power8_events.h		\
 	events/torrent_events.h
+
+INC_S390X=pfmlib_s390x_priv.h \
+	events/s390x_cpumf_events.h
 
 INC_SPARC=events/sparc_ultra12_events.h		\
 	events/sparc_ultra3_events.h		\

=== perf_examples/Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal 
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
# of the Software, and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all 
# copies or substantial portions of the Software.  
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

DIRS=

ifeq ($(ARCH),ia64)
#DIRS +=ia64
endif

ifeq ($(ARCH),x86_64)
DIRS += x86
endif

ifeq ($(ARCH),i386)
DIRS += x86
endif


ifeq ($(CONFIG_PFMLIB_ARCH_CRAYXT),y)
CFLAGS += -DCONFIG_PFMLIB_ARCH_CRAYXT
endif

CFLAGS+= -I. -D_GNU_SOURCE -pthread

PERF_EVENT_HDR=$(TOPDIR)/include/perfmon/pfmlib_perf_event.h

LPC_UTILS=perf_util.o
LPC_UTILS_HDR=perf_util.h

TARGETS+=self self_basic self_count task task_attach_timeout syst \
	notify_self notify_group task_smpl self_smpl_multi \
	self_pipe syst_count task_cpu syst_smpl evt2raw

EXAMPLESDIR=$(DESTDIR)$(DOCDIR)/perf_examples

all: $(TARGETS)
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done
#
# Many systems don't have ncurses-devel installed
#
rtop: rtop.o $(PFMLIB)
	-$(CC) $(CFLAGS) $(LDFLAGS) -D_GNU_SOURCE -o $@ $^ $(LIBS)  -lpthread -lncurses -lm

$(TARGETS): %:%.o $(LPC_UTILS) $(PFMLIB) $(PERF_EVENT_HDR)
	$(CC) $(CFLAGS) -o $@ $(LDFLAGS) $< $(LPC_UTILS) $(PFMLIB) $(LIBS) 

$(LPC_UTILS): $(LPC_UTILS_HDR)

clean:
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done
	$(RM) -f *.o $(TARGETS) *~

distclean: clean

install_examples: $(TARGETS)
	@echo installing: $(TARGETS)
	-mkdir -p $(EXAMPLESDIR)
	$(INSTALL) -m 755 $(TARGETS) $(EXAMPLESDIR)
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done
#
# examples are installed as part of the RPM install, typically in /usr/share/doc/libpfm-X.Y/
#
.PHONY: install depend install_examples

## libpfm4 4.4.0+git47-g71166e2

=== debian/changelog ===
libpfm4 (4.4.0+git47-g71166e2-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 31 Jan 2014 19:59:52 +0100

libpfm4 (4.4.0+git43-gac7e1ce-1) experimental; urgency=low

  * New upstream GIT snapshot.
  * Drop typo patches, applied upstream.
  * [i386] Inherit common symbols from amd64.
  * [amd64] Add new symbols.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Jan 2014 03:02:00 +0100

libpfm4 (4.4.0-2) unstable; urgency=low

  * debian/*: Cleanup cruft.
  * Move misplaced symbols from .symbols.common to .symbols.amd64.
  * [armhf, s390x] Add new symbols from 4.4.0.
  * [powerpcspe] Use the same symbols as powerpc.  (Closes: #730633)
  * [i386] Add a separate symbols file.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Nov 2013 16:46:14 +0100

libpfm4 (4.4.0-1) unstable; urgency=low

  * New upstream release.
  * Split symbols file and add arch specific symbols.  (Closes: #709654)
  * [amd64] Add new symbols from 4.4.0.
  * Fix more typos detected by lintian.
  * Use the canonical Vcs-* URLs.
  * Bump Standards-Version to 3.9.5. No changes needed.
  * Add myself to Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Nov 2013 03:00:08 +0100

libpfm4 (4.0) unstable; urgency=low
  * Intel IVB-EP support
  * Intel IVB updates support
  * Intel SNB updates support
  * Intel SNB-EP uncore support
  * ldlat support (PEBS-LL)
  * New Intel Atom support
  * bug fixes

 -- Stephane Eranian <eranian@gmail.com>  Fri, 08 JUn  2013 18:45:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libpfm4
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
-Uploaders: Stephane Eranian <eranian@gmail.com>
+Maintainer: Vincent Danjean <vdanjean@debian.org>
+Uploaders:
+ Andreas Beckmann <anbe@debian.org>,
+ Stephane Eranian <eranian@gmail.com>
 Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~), swig
 X-Python-Version: >=2.4
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://perfmon2.sourceforge.net/
-Vcs-Git: git://git.debian.org/collab-maint/libpfm4.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libpfm4.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/libpfm4.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libpfm4.git;a=summary
 
 Package: libpfm4
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -57,10 +57,8 @@
 
 .PHONY: override_dh_install
 override_dh_install:
-	#dh_install --fail-missing #-XlibOpenCL.la
 	dh_install --list-missing -X.pyc
 
 .PHONY: override_dh_strip
 override_dh_strip:
 	dh_strip --dbg-package=libpfm4-dbg
-

=== debian/watch ===
version=3

http://sf.net/perfmon2/libpfm-(4\..*)\.tar\.gz

## libpfm4 4.5.0+git25-g60cdc9b

=== debian/changelog ===
libpfm4 (4.5.0+git25-g60cdc9b-1) unstable; urgency=medium

  * New upstream GIT snapshot.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Aug 2014 01:09:41 +0200

libpfm4 (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Add new symbols from 4.5.0.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 06 Mar 2014 22:59:39 +0100

libpfm4 (5.0) unstable; urgency=low
  * Intel IVB-EP uncore PMU support
  * Intel Silvermont support
  * Perf raw event syntax support
  * Intel RAPL event support
  * AMD Fam15h northbridge support
  * Qualcomm Krait support
  * IBM Power 8 support
  * IBM s390 updates
  * AMD Fam15h fixes
  * various IVB, SNB, HSW event table updates
  * more bug fixes

 -- Stephane Eranian <eranian@gmail.com>  Fri, 21 Feb 2014 14:14:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Maintainer: Vincent Danjean <vdanjean@debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
- Stephane Eranian <eranian@gmail.com>
 Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~), swig
 X-Python-Version: >=2.4
 Standards-Version: 3.9.5

## libpfm4 4.5.0+git38-g1ca1338

=== debian/changelog ===
libpfm4 (4.5.0+git38-g1ca1338-2) unstable; urgency=medium

  * dpkg-gensymbols: Raise check level to 4 - fail on any symbol change.
  * [armhf, arm64] Factor out common symbols to .symbols.arm.common.
  * [armhf, powerpc] Add new symbols from 4.5.0.
  * [armhf, arm64] Add new symbols.
  * [arm64] Add a separate symbols file.
  * [armel] Use the same symbols as armhf.
  * [ppc64, ppc64el] Use the same symbols as powerpc.
  * [sparc64] Use the same symbols as sparc.
  * d/copyright: Refresh copyright list from upstream git commit history.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 16 Oct 2014 11:50:47 +0200

libpfm4 (4.5.0+git38-g1ca1338-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * [amd64] Add new symbols.
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 15 Oct 2014 21:33:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~), swig
 X-Python-Version: >=2.4
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://perfmon2.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/libpfm4.git

=== debian/rules ===
--- 
+++ 
@@ -51,6 +51,10 @@
 	dh_auto_clean --sourcedirectory=python --buildsystem=python_distutils
 	dh_auto_clean --sourcedirectory=python --buildsystem=makefile
 
+.PHONY: override_dh_shlibs
+override_dh_makeshlibs:
+	dh_makeshlibs -a -- -c4
+
 .PHONY: override_dh_shlibdeps
 override_dh_shlibdeps:
 	dh_shlibdeps -a -- --warnings=7

## libpfm4 4.6.0

=== debian/changelog ===
libpfm4 (4.6.0-4) unstable; urgency=medium

  * Cherry-pick Haswell EP RAPL support, Broadwell FPARITH and some bug fixes.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Jun 2015 15:48:36 +0200

libpfm4 (4.6.0-3) unstable; urgency=medium

  * Cherry-pick Broadwell, Airmont support and memory leak fixes.
  * Fix hyphenation errors in manpages.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Apr 2015 20:43:42 +0200

libpfm4 (4.6.0-2) experimental; urgency=medium

  * [mips64, mips64el] Use the same symbols as mips(el).  (Closes: #775836)
  * Cherry-pick missing MEM_LOAD_UOPS_RETIRED:L1_MISS for IvyBridge, typo
    fixes and cgroup fix.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Feb 2015 13:59:23 +0100

libpfm4 (4.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Add new symbols from 4.6.0.
  * Add Build-Depends: dh-python.
  * Cherry-pick missing ICACHE:IFETCH_STALLS for Haswell and SandyBridge.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Jan 2015 21:15:49 +0100

libpfm4 (6.0) unstable; urgency=low
  * add Intel Broadwell (desktop) support
  * add Intel Haswell-EP support (core)
  * add Applied Micro X-Gene processor support
  * simplified X86 model detection for Intel processors
  * Intel SNB, IVB, HSW event table updates
  * IBM Power8 event table updates
  * add ARM Cortex A53 support
  * more bug fixes and minor updates

 -- Stephane Eranian <eranian@gmail.com>  Tue, 30 Dec  2014 16:56:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,11 @@
 Maintainer: Vincent Danjean <vdanjean@debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
-Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~), swig
+Build-Depends:
+ debhelper (>= 9),
+ dh-python,
+ python-all-dev (>= 2.6.6-3~),
+ swig,
 X-Python-Version: >=2.4
 Standards-Version: 3.9.6
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	dh_auto_clean --sourcedirectory=python --buildsystem=python_distutils
 	dh_auto_clean --sourcedirectory=python --buildsystem=makefile
 
-.PHONY: override_dh_shlibs
+.PHONY: override_dh_makeshlibs
 override_dh_makeshlibs:
 	dh_makeshlibs -a -- -c4

## libpfm4 4.7.0

=== Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal 
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
# of the Software, and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all 
# copies or substantial portions of the Software.  
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

#
# Look in config.mk for options
#
TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)

include config.mk

EXAMPLE_DIRS=examples
DIRS=lib tests $(EXAMPLE_DIRS) include docs

ifeq ($(SYS),Linux)
EXAMPLE_DIRS +=perf_examples
endif

ifneq ($(CONFIG_PFMLIB_NOPYTHON),y)
DIRS += python
endif

TAR=tar --exclude=.git --exclude=.gitignore
CURDIR=$(shell basename "$$PWD")
PKG=libpfm-4.$(REVISION).$(AGE)
TARBALL=$(PKG).tar.gz

all: 
	@echo Compiling for \'$(ARCH)\' target
	@echo Compiling for \'$(SYS)\' system
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done

lib:
	$(MAKE) -C lib

clean: 
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done

distclean:  clean
	@(cd debian; $(RM) -f *.log *.debhelper *.substvars; $(RM) -rf libpfm4-dev libpfm4 python-libpfm4 tmp files)
	$(RM) -f tags

depend: 
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done

tar: clean
	ln -s $$PWD ../$(PKG) && cd .. &&  $(TAR) -zcf $(TARBALL) $(PKG)/. && rm $(PKG)
	@echo generated ../$(TARBALL)

install: 
	@echo installing in $(DESTDIR)
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done

install_examples:
	@set -e ; for d in $(EXAMPLE_DIRS) ; do $(MAKE) -C $$d $@ ; done

tags:
	@echo creating tags
	$(MAKE) -C lib $@

static:
	make all CONFIG_PFMLIB_SHARED=n

.PHONY: all clean distclean depend tar install install_examples lib static

# DO NOT DELETE

=== lib/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 SRCS=pfmlib_common.c
 
 ifeq ($(SYS),Linux)
-SRCS += pfmlib_perf_event_pmu.c pfmlib_perf_event.c
+SRCS += pfmlib_perf_event_pmu.c pfmlib_perf_event.c pfmlib_perf_event_raw.c
 endif
 
 CFLAGS+=-D_REENTRANT -I.
@@ -60,6 +60,8 @@
 	  pfmlib_intel_snb.c pfmlib_intel_snb_unc.c \
 	  pfmlib_intel_ivb.c pfmlib_intel_ivb_unc.c \
 	  pfmlib_intel_hsw.c \
+	  pfmlib_intel_bdw.c \
+	  pfmlib_intel_skl.c \
 	  pfmlib_intel_rapl.c \
 	  pfmlib_intel_snbep_unc.c \
 	  pfmlib_intel_snbep_unc_cbo.c \
@@ -70,6 +72,25 @@
 	  pfmlib_intel_snbep_unc_ubo.c \
 	  pfmlib_intel_snbep_unc_r2pcie.c \
 	  pfmlib_intel_snbep_unc_r3qpi.c \
+	  pfmlib_intel_ivbep_unc_cbo.c \
+	  pfmlib_intel_ivbep_unc_ha.c \
+	  pfmlib_intel_ivbep_unc_imc.c \
+	  pfmlib_intel_ivbep_unc_pcu.c \
+	  pfmlib_intel_ivbep_unc_qpi.c \
+	  pfmlib_intel_ivbep_unc_ubo.c \
+	  pfmlib_intel_ivbep_unc_r2pcie.c \
+	  pfmlib_intel_ivbep_unc_r3qpi.c \
+	  pfmlib_intel_ivbep_unc_irp.c \
+	  pfmlib_intel_hswep_unc_cbo.c \
+	  pfmlib_intel_hswep_unc_ha.c \
+	  pfmlib_intel_hswep_unc_imc.c \
+	  pfmlib_intel_hswep_unc_pcu.c \
+	  pfmlib_intel_hswep_unc_qpi.c \
+	  pfmlib_intel_hswep_unc_ubo.c \
+	  pfmlib_intel_hswep_unc_r2pcie.c \
+	  pfmlib_intel_hswep_unc_r3qpi.c \
+	  pfmlib_intel_hswep_unc_irp.c \
+	  pfmlib_intel_hswep_unc_sbo.c \
 	  pfmlib_intel_knc.c \
 	  pfmlib_intel_slm.c \
 	  pfmlib_intel_netburst.c \
@@ -97,7 +118,7 @@
 endif
 
 INCARCH = $(INC_POWERPC)
-SRCS   += pfmlib_powerpc.c pfmlib_power4.c pfmlib_ppc970.c pfmlib_power5.c pfmlib_power6.c pfmlib_power7.c pfmlib_torrent.c pfmlib_power8.c
+SRCS   += pfmlib_powerpc.c pfmlib_power4.c pfmlib_ppc970.c pfmlib_power5.c pfmlib_power6.c pfmlib_power7.c pfmlib_torrent.c pfmlib_power8.c pfmlib_powerpc_nest.c
 CFLAGS += -DCONFIG_PFMLIB_ARCH_POWERPC
 endif
 
@@ -130,8 +151,19 @@
 endif
 
 INCARCH = $(INC_ARM)
-SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c pfmlib_arm_armv6.c
+SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c pfmlib_arm_armv6.c pfmlib_arm_armv8.c
 CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM
+endif
+
+ifeq ($(CONFIG_PFMLIB_ARCH_ARM64),y)
+
+ifeq ($(SYS),Linux)
+SRCS += pfmlib_arm_perf_event.c
+endif
+
+INCARCH = $(INC_ARM64)
+SRCS   += pfmlib_arm.c pfmlib_arm_armv8.c
+CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM64
 endif
 
 ifeq ($(CONFIG_PFMLIB_ARCH_MIPS),y)
@@ -143,10 +175,6 @@
 INCARCH = $(INC_MIPS)
 SRCS   += pfmlib_mips.c pfmlib_mips_74k.c
 CFLAGS += -DCONFIG_PFMLIB_ARCH_MIPS
-endif
-
-ifeq ($(CONFIG_PFMLIB_ARCH_CRAYXT),y)
-CFLAGS += -DCONFIG_PFMLIB_ARCH_CRAYXT
 endif
 
 ifeq ($(CONFIG_PFMLIB_CELL),y)
@@ -156,7 +184,7 @@
 endif
 
 ifeq ($(SYS),Linux)
-SLDFLAGS=-shared -Wl,-soname -Wl,$(VLIBPFM)
+SLDFLAGS=$(LDFLAGS) -shared -Wl,-soname -Wl,$(VLIBPFM)
 SLIBPFM=libpfm.so.$(VERSION).$(REVISION).$(AGE)
 VLIBPFM=libpfm.so.$(VERSION)
 SOLIBEXT=so
@@ -205,10 +233,11 @@
 	events/intel_wsm_events.h	\
 	events/intel_wsm_unc_events.h	\
 	events/intel_snb_events.h	\
-	events/intel_snbep_events.h	\
 	events/intel_snb_unc_events.h	\
 	events/intel_ivb_events.h	\
 	events/intel_hsw_events.h	\
+	events/intel_bdw_events.h	\
+	events/intel_skl_events.h	\
 	pfmlib_intel_snbep_unc_priv.h	\
 	events/intel_snbep_unc_cbo_events.h \
 	events/intel_snbep_unc_ha_events.h \
@@ -219,6 +248,25 @@
 	events/intel_snbep_unc_r2pcie_events.h \
 	events/intel_snbep_unc_r3qpi_events.h \
 	events/intel_knc_events.h \
+	events/intel_ivbep_unc_cbo_events.h \
+	events/intel_ivbep_unc_ha_events.h \
+	events/intel_ivbep_unc_imc_events.h \
+	events/intel_ivbep_unc_pcu_events.h \
+	events/intel_ivbep_unc_qpi_events.h \
+	events/intel_ivbep_unc_ubo_events.h \
+	events/intel_ivbep_unc_r2pcie_events.h \
+	events/intel_ivbep_unc_r3qpi_events.h \
+	events/intel_ivbep_unc_irp_events.h \
+	events/intel_hswep_unc_cbo_events.h \
+	events/intel_hswep_unc_sbo_events.h \
+	events/intel_hswep_unc_ha_events.h \
+	events/intel_hswep_unc_imc_events.h \
+	events/intel_hswep_unc_pcu_events.h \
+	events/intel_hswep_unc_qpi_events.h \
+	events/intel_hswep_unc_ubo_events.h \
+	events/intel_hswep_unc_r2pcie_events.h \
+	events/intel_hswep_unc_r3qpi_events.h \
+	events/intel_hswep_unc_irp_events.h \
 	events/intel_slm_events.h
 
 INC_MIPS=events/mips_74k_events.h events/mips_74k_events.h
@@ -231,7 +279,8 @@
 	events/power6_events.h		\
 	events/power7_events.h		\
 	events/power8_events.h		\
-	events/torrent_events.h
+	events/torrent_events.h		\
+	events/powerpc_nest_events.h
 
 INC_S390X=pfmlib_s390x_priv.h \
 	events/s390x_cpumf_events.h
@@ -247,12 +296,19 @@
 INC_CELL=events/cell_events.h
 
 INC_ARM=events/arm_cortex_a8_events.h		\
-        events/arm_cortex_a9_events.h
+        events/arm_cortex_a9_events.h		\
+        events/arm_arm_xgene_events.h
 
 INC_ARM=pfmlib_arm_priv.h			\
+	events/arm_cortex_a7_events.h		\
 	events/arm_cortex_a8_events.h		\
 	events/arm_cortex_a9_events.h		\
-	events/arm_cortex_a15_events.h
+	events/arm_cortex_a15_events.h		\
+	events/arm_cortex_a57_events.h		\
+	events/arm_cortex_a53_events.h
+
+INC_ARM64=events/arm_cortex_a57_events.h	\
+	  events/arm_cortex_a53_events.h
 
 INCDEP=$(INC_COMMON) $(INCARCH)

=== debian/changelog ===
libpfm4 (4.7.0-4) unstable; urgency=medium

  * Cherry-pick umask encoding fixes.
  * use-LDFLAGS-when-linking.patch: Remove, fixed upstream.
  * typos.patch: Fix some more typos.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 25 Feb 2016 12:42:15 +0100

libpfm4 (4.7.0-3) unstable; urgency=medium

  * [x32] Use the same symbols as amd64.
  * d/copyright: Refresh copyright list from upstream git commit history.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Feb 2016 16:36:16 +0100

libpfm4 (4.7.0-2) unstable; urgency=medium

  * Restrict to Architecture: linux-any.
  * [powerpc] Add new symbols from 4.7.0.
  * [x32] x32.patch: New, fix printing __time_t.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Feb 2016 11:27:14 +0100

libpfm4 (4.7.0-1) unstable; urgency=medium

  * New upstream release.  (Closes: #811924)
  * Add new symbols from 4.7.0.
  * Drop libpfm4-dbg package in favor of autogenerated -dbgsyms packages.
  * man-sections.patch, typos.patch: New, fix some issues found by Lintian.
  * Bump Standards-Version to 3.9.7. No changes needed.
  * Update Vcs-* URLs.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Feb 2016 05:00:03 +0100

libpfm4 (7.0) unstable; urgency=low
  * add Intel Skylake support
  * add Intel Haswell-EP uncore PMU support
  * add Broadwell DE support
  * updated most Intel x86 event tables to match official tables
  * refreshed perf_event.h header to 4.2
  * more bug fixes and minor updates

 -- Stephane Eranian <eranian@gmail.com>  Thu, 11 Feb  2016 16:56:01 +0200

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
  python-all-dev (>= 2.6.6-3~),
  swig,
 X-Python-Version: >=2.4
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: libs
 Homepage: http://perfmon2.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/libpfm4.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libpfm4.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libpfm4.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libpfm4.git
 
 Package: libpfm4
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -32,7 +32,7 @@
 
 Package: libpfm4-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, libpfm4 (= ${binary:Version})
 Conflicts: libpfm3-3.2-dev
@@ -48,7 +48,7 @@
  This package provides the development files of the library.
 
 Package: python-libpfm4
-Architecture: any
+Architecture: linux-any
 Section: python
 Depends: libpfm4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
@@ -58,19 +58,3 @@
  This package allows you to write simple Python scripts that monitor
  various hardware performance monitoring events. It may be more efficient
  to use this approach instead of parsing the output of other tools.
-
-Package: libpfm4-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, libpfm4 (= ${binary:Version})
-Description: Debug symbols for the libpfm4 library
- Libpfm4 helps convert from an event name, expressed as a string, to
- the event encoding. The encoding can then be used with specific OS
- interfaces. Libpfm4 also provides OS-specific interfaces to directly
- setup OS-specific data structures to be passed to the kernel. The
- current libpfm4, for instance, provides support for the perf_events
- interface which was introduced in Linux v2.6.31.
- .
- This package provides the debug symbols of the shared library.
-

=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,3 @@
 .PHONY: override_dh_install
 override_dh_install:
 	dh_install --list-missing -X.pyc
-
-.PHONY: override_dh_strip
-override_dh_strip:
-	dh_strip --dbg-package=libpfm4-dbg

## libpfm4 4.7.0+git11

=== lib/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 SRCS += pfmlib_perf_event_pmu.c pfmlib_perf_event.c pfmlib_perf_event_raw.c
 endif
 
-CFLAGS+=-D_REENTRANT -I.
+CFLAGS+=-D_REENTRANT -I. -fvisibility=hidden
 
 #
 # list all library support modules

## libpfm4 4.7.0+git11-gbfb9baf

=== debian/changelog ===
libpfm4 (4.7.0+git11-gbfb9baf-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * Simplify symbols file. The library no longer exposes (arch-specific)
    private symbols.
  * Bump Standards-Version to 3.9.8. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 28 May 2016 20:18:35 +0200
